## python-glyphsets 0.5.4

=== requirements.txt ===
setuptools
FontTools[ufo]
glyphsLib
defcon

## python-glyphsets 0.5.2

=== debian/changelog ===
python-glyphsets (0.5.2-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 16 Aug 2022 16:49:27 +0200

python-glyphsets (0.5.2-1) experimental; urgency=low

  * Initial release, autogenerated by py2dsp/3.20220707; Closes: #1004942

 -- Agathe Porte <debian@microjoe.org>  Sun, 14 Aug 2022 11:52:42 +0200

=== debian/control ===
Source: python-glyphsets
Section: python
Priority: optional
Maintainer: Agathe Porte <debian@microjoe.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-defcon,
 python3-fonttools,
 python3-glyphslib,
 python3-pkg-resources,
 python3-setuptools,
 python3-setuptools-scm,
Standards-Version: 4.6.1.0
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/googlefonts/glyphsets/
Vcs-Git: https://salsa.debian.org/python-team/packages/glyphsets.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/glyphsets
Rules-Requires-Root: no

Package: python3-glyphsets
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Python API for evaluating glyph sets in font projects
 This Python module provides an API with data about glyph sets for many
 different scripts and languages. This was crafted to specify the sets of
 characters that fonts in the Google Fonts collection are expected to provide
 glyphs for.
 .
 If you are a font developer or typeface designer,
 see the Lib/glyphsets/encodings/GF Glyph Sets subdirectory which provides
 glyph set definition "standards" that are typically useful sets to draw.
 .
 On the other hand, the "nam" files on the Lib/glyphsets/encodings directory are
 probably more useful for expert web developers. Those files explain how the
 Unicode Range subsets are defined, typically per script (writing system),
 in the Google Fonts css API.
 Python API for evaluating coverage of glyph sets in font projects.

## python-glyphsets 0.5.4

=== debian/changelog ===
python-glyphsets (0.5.4-2) unstable; urgency=medium

  * Source upload.

 -- Agathe Porte <debian@microjoe.org>  Thu, 19 Jan 2023 23:02:00 +0100

python-glyphsets (0.5.4-1) unstable; urgency=medium

  * Fix Vcs-Git and Vcs-Browser links
  * Update Standards-Version to 4.6.2 (no change)
  * Add missing B-D python3-unicodedata2 (Closes: #1028997)
  * Backport Ubuntu patch for unicodedata2 missing
  * New upstream version 0.5.4 (Closes: #1028990)
  * Update d/s/lintian-overrides
  * Update d/copyright year

 -- Agathe Porte <debian@microjoe.org>  Wed, 18 Jan 2023 08:08:31 +0100

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,12 @@
  python3-pkg-resources,
  python3-setuptools,
  python3-setuptools-scm,
-Standards-Version: 4.6.1.0
+ python3-unicodedata2,
+Standards-Version: 4.6.2
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/googlefonts/glyphsets/
-Vcs-Git: https://salsa.debian.org/python-team/packages/glyphsets.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/glyphsets
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-glyphsets.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-glyphsets
 Rules-Requires-Root: no
 
 Package: python3-glyphsets

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=glyphsets
%:
	dh $@ --with python3 --buildsystem=pybuild

## python-glyphsets 1.0.0

=== debian/changelog ===
python-glyphsets (1.0.0-3) unstable; urgency=medium

  * Team upload.
  * Really drop python3-pkg-resources with a patch.
  * v1.1.0 needs a new dependency: youseedee

 -- Alexandre Detiste <tchet@debian.org>  Mon, 07 Apr 2025 08:47:30 +0200

python-glyphsets (1.0.0-2) unstable; urgency=medium

  * Team Upload
  * Drop build-dependency on python3-pkg-resources (Closes: #1083644)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 29 Jan 2025 15:54:36 +0100

python-glyphsets (1.0.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 1.0.0
  * Set DPT as Maintainer per new Team Policy
  * Use new dh-sequence-python3
  * Refresh patches
  * Remove extraneous dependency on python3-unicodedata2
  * Add build-dep on python3-gflanguages & python3-yaml

 -- Alexandre Detiste <tchet@debian.org>  Sun, 15 Sep 2024 15:16:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: python-glyphsets
 Section: python
 Priority: optional
-Maintainer: Agathe Porte <debian@microjoe.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Agathe Porte <debian@microjoe.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-defcon,
  python3-fonttools,
+ python3-gflanguages <!nocheck>,
  python3-glyphslib,
- python3-pkg-resources,
  python3-setuptools,
  python3-setuptools-scm,
- python3-unicodedata2,
+ python3-yaml <!nocheck>,
 Standards-Version: 4.6.2
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/googlefonts/glyphsets/

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=glyphsets

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests: unittests
Depends:
 @,
 python3-all,
 python3-pytest,

Test-Command: glyphsets -h
Depends:
 @
Restrictions: superficial
